Skip to main content
GET
/
external-apps
List apps
curl --request GET \
  --url https://api.getmembrane.com/external-apps \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "isReadOnly": true,
      "uuid": "<string>",
      "name": "<string>",
      "appUri": "<string>",
      "logoUri": "<string>",
      "defaultConnectorId": "<string>",
      "categories": [
        "<string>"
      ],
      "popularity": 123,
      "isPublic": true,
      "isConnected": true,
      "basePackageId": "<string>",
      "readmeSlug": "<string>",
      "hasAuth": true,
      "hasData": true,
      "hasFreeTestAccount": true,
      "freeTestAccountGuide": "<string>",
      "freeTestAccountGuideVerifiedAt": "2023-11-07T05:31:56Z",
      "openapiSpecs": [
        {
          "name": "<string>",
          "sourceUri": "<string>"
        }
      ],
      "tenantId": "<string>"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

includeArchived
boolean
category
string
isConnected
boolean

Response

200 - application/json
items
object[]
required
cursor
string